* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #191818;
  flex-direction: column;
  gap: 40px;
}
.marquee {
  width: 100%;
  overflow: hidden;
  color: white;
  font-size: 30px;
  font-weight: 900;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;

  text-shadow: 0 4px 12px gold;
}

.marquee span {
  display: inline-block;
  text-wrap: nowrap;
  margin-top: 100px;
  padding-left: 100%;
  animation: scroll 10s linear infinite;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

h1 {
  font-size: 100px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.linear-wipe {
  text-align: center;
  background: linear-gradient(to right, #da0c0c 10%, #ff0 60%, #5ddbf5 80%);
  background-size: 200% auto;
  color: #000;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: shine 2s linear infinite;
}

@keyframes shine {
  to {
    background-position: 200% center;
  }
}

.firework{
  position: relative;
  width: 10px;
  height: 10px;
  background: transparent;
}

.firework::before,
.firework::after {
  content: "";
  position: absolute;
  width: 6px;
  height: 6px;
  background: red;
  border-radius: 50%;
  animation: explode 1s infinite;
}

.firework::after {
  background: yellow;
  animation-delay: 0.2s;
}

@keyframes explode {
  0% {
    transform: scale(0) translate(0, 0);
    opacity: 1;
  }
  100% {
    transform: scale(1.5) translate(60px, -60px);
    opacity: 0;
  }
}

.firework {
  position: relative;
  width: 10px;
  height: 10px;
  right: 50px;
}

.firework span {
  position: relative;
  width: 5px;
  height: 5px;
  background: orange;
  border-radius: 50%;
  animation: burst 1s infinite;
}

.firework span:nth-child(1) {
  transform: rotate(0deg);
}
.firework span:nth-child(2) {
  transform: rotate(90deg);
}
.firework span:nth-child(3) {
  transform: rotate(180deg);
}
.firework span:nth-child(4) {
  transform: rotate(270deg);
}

@keyframes burst {
  from {
    transform: translate(0) scale(1);
    opacity: 1;
  }
  to {
    transform: translate(60px) scale(0);
    opacity: 0;
  }
}

#fire {
  position: relative;
  left: 200px;
}

#fire2 {
  position: relative;
  right: 200px;
}


@media (max-width: 780px){
  .marquee{
    padding: 200px;
  }
}